%define dist .el5

Name: kexec-tools
Version: 1.101
Release: 194.4%{?dist}.XOS.1
License: GPL
Group: Applications/System
Summary: The kexec/kdump userspace component.
Source0: %{name}-%{version}.tar.gz
Source1: kdump.init
Source2: kdump.sysconfig
Source3: kdump.sysconfig.x86_64
Source4: kdump.sysconfig.i386
Source5: kdump.sysconfig.ppc64
Source6: kdump.sysconfig.ia64
Source7: mkdumprd
Source8: kdump.conf
Source9: makedumpfile-1.1.1.tar.gz
Source10: kexec-kdump-howto.txt
Source11: firstboot_kdump.py
Source12: mkdumprd.8
Source13: kexec-tools-po.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre): coreutils chkconfig sed 
Requires: busybox >= 1.2.0
BuildRequires: zlib-devel elfutils-devel-static glib2-devel
BuildRequires: pkgconfig intltool gettext
ExcludeArch: ppc
%ifarch %{ix86} x86_64 ppc64 ia64
Obsoletes: diskdumputils netdump
%endif

#
# Patches 0 through 100 are meant for x86 kexec-tools enablement
#
Patch1: kexec-tools-1.101-kdump.patch
Patch2: kexec-tools-1.101-elf-core-type.patch
Patch3: kexec-tools-1.101-relocatable-bzimage.patch
#
# Patches 101 through 200 are meant for x86_64 kexec-tools enablement
#
Patch101: kexec-tools-1.101-disable-kdump-x8664.patch
Patch102: kexec-tools-1.101-x86_64-exactmap.patch

#
# Patches 201 through 300 are meant for ia64 kexec-tools enablement
#
Patch201: kexec-tools-1.101-ia64-fixup.patch
Patch202: kexec-tools-1.101-ia64-tools.patch
Patch203: kexec-tools-1.101-ia64-kdump.patch
Patch204: kexec-tools-1.101-ia64-EFI.patch
Patch205: kexec-tools-1.101-ia64-icache-align.patch
Patch206: kexec-tools-1.101-ia64-noio.patch
Patch207: kexec-tools-1.101-ia64-phdr-malloc.patch
Patch208: kexec-tools-1.101-ia64-load-offset.patch
Patch209: kexec-tools-1.101-ia64-noio-eat.patch
Patch210: kexec-tools-1.101-ia64-dash-l-fix.patch

#
# Patches 301 through 400 are meant for ppc64 kexec-tools enablement
#
Patch301: kexec-tools-1.101-ppc64-ignore-args.patch
Patch302: kexec-tools-1.101-ppc64-usage.patch
Patch303: kexec-tools-1.101-ppc64-cliargs.patch
Patch304: kexec-tools-1.101-ppc64-platform-fix.patch
Patch305: kexec-tools-1.101-ppc64-64k-pages.patch
Patch306: kexec-tools-1.101-ppc64-memory-range.patch
Patch307: kexec-tools-1.101-ppc64-memory_regions.patch
Patch308: kexec-tools-1.101-ppc64-dyn-memrange.patch

#
# Patches 401 through 500 are meant for s390 kexec-tools enablement
#
Patch401: kexec-tools-1.101-s390-fixup.patch

#
# Patches 501 through 600 are meant for ppc kexec-tools enablement
#
Patch501: kexec-tools-1.101-ppc-fixup.patch

#
# Patches 601 onward are generic patches
#
Patch601: kexec-tools-1.101-Makefile.patch
Patch602: kexec-tools-1.101-et-dyn.patch
Patch603: kexec-tools-1.101-page_h.patch
Patch604: kexec-tools-1.101-elf-format.patch
Patch605: kexec-tools-1.101-ifdown.patch
Patch606: kexec-tools-1.101-reloc-update.patch
Patch607: kexec-tools-1.101-xen-support.patch
Patch608: kexec-tools-1.101-x86_64-xen31-fixes.patch
Patch609: kexec-tools-1.101-x86-add_buffer_retry.patch

%description
kexec-tools provides /sbin/kexec binary that facilitates a new
kernel to boot using the kernel's kexec feature either on a
normal or a panic reboot. This package contains the /sbin/kexec
binary and ancillary utilities that together form the userspace
component of the kernel's kexec feature.

%prep
%setup -q -n %{name}-%{version} -a 9 -a 13
rm -f ../kexec-tools-1.101.spec
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch101 -p1
%patch102 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
%patch305 -p1
%patch306 -p1
%patch307 -p1
%patch308 -p1
%patch401 -p1
%patch501 -p1
%patch601 -p1
%patch602 -p1
%patch603 -p1
%patch604 -p1
%patch605 -p1
%patch606 -p1
%patch607 -p1
%patch608 -p1
%patch609 -p1

%build
%configure \
%ifarch ppc64
    --host=powerpc64-xos-linux-gnu \
    --build=powerpc64-xos-linux-gnu \
%endif
    --sbindir=/sbin
rm -f kexec-tools.spec.in
cp %{SOURCE10} . 
make
%ifarch %{ix86} x86_64 ia64 ppc64
make -C makedumpfile
%endif
make -C kexec-tools-po

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p -m755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p -m755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p -m755 $RPM_BUILD_ROOT%{_localstatedir}/crash
mkdir -p -m755 $RPM_BUILD_ROOT%{_mandir}/man8/
mkdir -p -m755 $RPM_BUILD_ROOT%{_docdir}
mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/kdump
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/kdump
if [ -f $RPM_SOURCE_DIR/kdump.sysconfig.%{_target_cpu} ]; then
	install -m 644 $RPM_SOURCE_DIR/kdump.sysconfig.%{_target_cpu} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/kdump
else
	install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/kdump
fi
install -m 755 %{SOURCE7} $RPM_BUILD_ROOT/sbin/mkdumprd
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/kdump.conf
install -m 644 kexec/kexec.8 $RPM_BUILD_ROOT%{_mandir}/man8/kexec.8
install -m 755 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/kdump/firstboot_kdump.py
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{_mandir}/man8/mkdumprd.8
%ifarch %{ix86} x86_64 ia64 ppc64
install -m 755 makedumpfile/makedumpfile $RPM_BUILD_ROOT/sbin/makedumpfile
%endif
make -C kexec-tools-po install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch /etc/kdump.conf
/sbin/chkconfig --add kdump
# This portion of the script is temporary.  Its only here
# to fix up broken boxes that require special settings 
# in /etc/sysconfig/kdump.  It will be removed when 
# These systems are fixed.

if [ -d /proc/bus/mckinley ]
then
	# This is for HP zx1 machines
	# They require machvec=dig on the kernel command line
	sed -e's/\(^KDUMP_COMMANDLINE_APPEND.*\)\("$\)/\1 machvec=dig"/' \
	/etc/sysconfig/kdump > /etc/sysconfig/kdump.new
	mv /etc/sysconfig/kdump.new /etc/sysconfig/kdump
elif [ -d /proc/sgi_sn ]
then
	# This is for SGI SN boxes
	# They require the --noio option to kexec 
	# since they don't support legacy io
	sed -e's/\(^KEXEC_ARGS.*\)\("$\)/\1 --noio"/' \
	/etc/sysconfig/kdump > /etc/sysconfig/kdump.new
	mv /etc/sysconfig/kdump.new /etc/sysconfig/kdump
fi


%postun

if [ "$1" -ge 1 ]; then
	/sbin/service kdump condrestart > /dev/null 2>&1 || :
fi

%preun
if [ "$1" = 0 ]; then
	/sbin/service kdump stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del kdump
fi
exit 0

%triggerin -- firstboot
if [ ! -e %{_datadir}/firstboot/modules/firstboot_kdump.py ]
then
	ln -s %{_datadir}/kdump/firstboot_kdump.py %{_datadir}/firstboot/modules/firstboot_kdump.py
fi

%triggerin -- kernel-kdump
touch %{_sysconfdir}/kdump.conf


%triggerun -- firstboot
rm -f %{_datadir}/firstboot/modules/firstboot_kdump.py

%files -f %{name}.lang
%defattr(-,root,root,-)
/sbin/*
%{_datadir}/kdump
%config(noreplace,missingok) %{_sysconfdir}/sysconfig/kdump
%config(noreplace,missingok) %{_sysconfdir}/kdump.conf
%config %{_sysconfdir}/rc.d/init.d/kdump
%dir %{_localstatedir}/crash
%ifarch %{ix86} x86_64
%{_libdir}/kexec-tools/kexec_test
%endif
%{_mandir}/man8/*
%doc News
%doc COPYING
%doc TODO
%doc kexec-kdump-howto.txt

%changelog
* Sat Dec 08 2007 X/OS Linux Team <xoslinux@xos.nl> - 1.101-194.4.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on kexec-tools-1.101-194.4.el5.src.rpm
  (md5sum of original source rpm: b6a2230011f4f7be406d29f8a1cab842).
- Include "dist" macro with value ".el5" to match the original release number.
- Change host target names for X/OS Linux.

* Mon Sep 10 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-194.4
- Use PAE kernel for i686 xen kdump if mem > 4GB (bz 284821)
- Warn users in firstboot if they need kernel-PAE (bz 284841)

* Wed Sep 05 2007 Neil Horman <nhorman@redhat.com> - 1.101-194.3
- fix location of ARCH computation (bz 279241)

* Fri Aug 24 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-194.2%{dist}
- Only x86_64 xen kdump needs 32M offset (bz 244301)

* Tue Aug 21 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-194.1%{dist}
- Add support for dumping to partitions on drives attached to cciss
  and cpqarray controllers (bz 228685)
- Minor updates to kdump initscript for xen kdump support (bz 244301)

* Wed Aug 08 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-194%{dist}
- Update kdump init script to look for crash kernel reservation in
  /proc/iomem so we can start up on xen kernels too (bz 250803)

* Fri Jul 20 2007 Neil Horman <nhorman@redhat.com> - 1.101-193%{dist}
- Cleaning up silly notification from makedumpfile (bz 248797)

* Wed Jul 18 2007 Neil Horman <nhorman@redhat.com> - 1.101-192%{dist}
- Update makedumpfile to version 1.1.1 (bz 248235)
- reconcile mkdumprd options w/ man page (bz 247493)
- Fix some doc formatting (bz 247552)

* Tue Jul 17 2007 Neil Horman <nhorman@redhat.com> -1.101-191%{dist}
- Modified kexec to retry on segment overlap from locate_hole (bz 247989)

* Mon Jul 09 2007 Neil Horman <nhorman@redhat.com> -1.101-190%{dist}
- Modified mkdumprd to emit new mount detection code (bz 245570)

* Tue Jul 03 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-189%{dist}
- Pull in updated firstboot translations (bz 223175)

* Thu Jun 28 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-188%{dist}
- Fix regression in network dump setup introduced by changes to
  support adding arbitrary kernel modules (bz 223929)

* Wed Jun 27 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-187%{dist}
- Fix up firstboot memory reservation detection for ppc64 (bz 245980)
- Minor formatting fix for post-script feature
- Don't allow user to try to set up kdump on ia64 xen (not supported)
- Nudge minimum allowed firstboot spinner values down a bit, but
  present same defaults as we always have

* Wed Jun 27 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-186%{dist}
- Fix regression in network dump paths (bz 245952)

* Tue Jun 26 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-185%{dist}
- Add translations for firstboot kdump module (bz 215318)
- Update kexec-kdump-howto.txt with new options

* Tue Jun 26 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-184%{dist}
- Add ability to specify arbitrary kernel modules that should be
  included in kdump initrd (bz 223929)
- Add support for running a kdump post-capture script (bz 224101)
- Fix regression with default/empty kdump.conf introduced by adding
  support for halt option

* Fri Jun 22 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-183%{dist}
- Add halt option to default actions in kdump initrd (bz 224098)
- Fix panic kernel load segfault regression on ppc64 (bz 245392)
- A few minor spec consistency clean-ups

* Fri Jun 22 2007 Neil Horman <nhorman@redhat.com> - 1.101-182%{dist}
- Fixing goof in spec file for previous patch (bz 245187)

* Fri Jun 22 2007 Neil Horman <nhorman@redhat.com> - 1.101-181%{dist}
- Fix makedumpfile to run on older kernels (bz 245187)

* Wed Jun 20 2007 Neil Horman <nhorman@redhat.com> - 1.101-180%{dist}
- Fix mkdumprd to use tmp dir on mount test (bz 222911)

* Tue Jun 19 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-179%{dist}
- Make kdump work again on x86_64 post-xen-3.1-rebase (bz 244689)

* Tue Jun 19 2007 Neil Horman <nhorman@redhat.com> - 1.101-178%{dist}
- Fixed mkdumprd to pull appropriate /proc/cmdline (bz 244649)

* Fri Jun 15 2007 Neil Horman <nhorman@redhat.com> - 1.101-177%{dist}
- Updating some extra patches for xen (bz 244301)

* Wed Jun 13 2007 Jarod Wilson <jwilson@redhat.com - 1.101-176%{dist}
- Update firstboot module for xen dom0 kdump support (bz 243931)

* Tue Jun 12 2007 Neil Horman <nhorman@redhat.com> - 1.101-175%{dist}
- Update docs in kdump.conf (bz 222917)

* Fri Jun 08 2007 Neil Horman <nhorman@redhat.com> - 1.101-174%{dist}
- Add minimal xen support (on x86_64) (bz 243118)

* Fri May 25 2007 Neil Horman <nhorman@redhat.com> - 1.101-173%{dist}
- Add ability to do use mkdumpfile over shh (bz 223743)

* Fri May 11 2007 Neil Horman <nhorman@redhat.com> - 1.101-172%{dist}
- Fix ppc64 Dynamic memory range issue (bz 228135)

* Tue May 08 2007 Neil Horman <nhorman@redhat.com> - 1.101-171%{dist}
- Fix authorized_keys2 permission problem (bz 235986)

* Mon Apr 02 2007 Neil Horman <nhorman@redhat.com> - 1.101-170%{dist}
- Fix nfs dump case to not copy to initramfs (bz 215056)

* Wed Mar 21 2007 Neil Horman <nhorman@redhat.com> - 1.101-169%{dist}
- Fix memory rang OBO problem in ppc64 (bz 233312)

* Tue Feb 20 2007 Neil Horman <nhorman@redhat.com> - 1.101-168%{dist}
- Fixed mkdumprd to only report save core completion, not location (bz 228934)

* Tue Feb 20 2007 Neil Horman <nhorman@redhat.com> - 1.101-167%{dist}
- Pulled bzimage fix from devel/upstream (bz 229069)
 
* Thu Feb 15 2007 Neil Horman <nhorman@redhat.com> - 1.101-166%{dist}
- Include mkdumprd man page (bz 223729)
- Fix kdump.conf perms 
- Fix documentation to reference other sources (bz 228861)
- Fix mkdumprd typo (bz 224623)
- Fix mkdumprd to use getent (bz 223247)
 
* Fri Jan 26 2007 Neil Horman <nhorman@redhat.com> - 1.101-165%{dist}
- Update kdump.init to report kexec errors (bz 220906)

* Tue Jan 23 2007 Jarod Wilson <jwilson@redhat.com> - 1.101-164%{dist}
- Touch kdump.conf when kernel-kdump is installed to trigger
  proper kdump initrd creation on ppc64 (bz 217908)

* Wed Jan 10 2007 Neil Horman <nhorman@redhat.com> - 1.101-163%{dist}
- Reformatted docs to be 80 cols and did some clarification (bz 222189)

* Tue Jan 09 2007 Neil Horman <nhorman@redhat.com> - 1.101-162%{dist}
- Fixed firstboot confusion over detection of xen kernels (bz 221983)

* Mon Jan 08 2007 Neil Horman <nhorman@redhat.com> - 1.101-161%{dist}
- Fixing corner case for ssh df check (bz 221641)

* Fri Jan 05 2007 Neil Horman <nhorman@redhat.com> - 1.101-160%{dist}
- Update mkdumprd to warn if insufficient space available (bz 221641)

* Fri Jan 05 2007 Neil Horman <nhorman@redhat.com> - 1.101-159%{dist}
- Update mkdumprd to warn if compression w/o locations specified (bz 221623)

* Thu Jan 04 2007 Neil Horman <nhorman@redhat.com> - 1.101-158%{dist}
- Remove sourcing of unneeded mkinitrd files (bz 221410)

* Thu Jan 04 2007 Neil Horman <nhorman@redhat.com> - 1.101-157%{dist}
- Fix mkdumprd to ensure a default route is available (bz 220901)

* Tue Jan 02 2007 Neil Horman <nhorman@redhat.com> - 1.101-156%{dist}
- Fixing ppc64 memory range sizing (bz 220626)
- Adding doc content to prevent use of vfat/msdos fs as dump targets

* Wed Dec 20 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-155%{dist}
- Fix ia64/elilo boot param updating in firstboot module (bz 220351)
- Set min/max mem in firstboot module to zero if running on xen kernel

* Wed Dec 20 2006 Neil Horman <nhorman@redhat.com> - 1.101-154%{dist}
- Fixing regex in load_kernel to properly strip crashkernel= line

* Tue Dec 19 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-153%{dist}
- Fix container sizes in updated ia64 phdr patch (bz 220276)

* Tue Dec 19 2006 Neil Horman <nhorman@redhat.com> - 1.101-152%{dist}
- Add check to provide a detailed error for lack of crashkernel= (bz 220198)

* Mon Dec 18 2006 Neil Horman <nhorman@redhat.com> - 1.101-151%{dist}
- Removing kcp directory creation from build
- Updating ia64 phdr patch to upstream version (bz 218503)

* Mon Dec 18 2006 Neil Horman <nhorman@redhat.com> - 1.101-150%{dist}
- Fixing mkdumprd escape error (bz 220089)

* Mon Dec 18 2006 Neil Horman <nhorman@redhat.com> - 1.101-149%{dist}
- Added test for SGI specific option to spec file (bz218052/218487)

* Thu Dec 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-148%{dist}
- Update initscript to use 64 bit ELF headers for PAE (bz 219528)

* Thu Dec 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-147%{dist}
- Fixed some typos in kdump.conf
- Fixed propogate command when target .ssh dir doesn't exist (bz 219526)

* Tue Dec 12 2006 Neil Horman <nhorman@redhat.com> - 1.101-146%{dist}
- Adding more makedumpfile use description to docs (bz 219282)

* Mon Dec 11 2006 Neil Horman <nhorman@redhat.com> - 1.101-145%{dist}
- Fixing ia64 kernel cmdline args for HP/SGI (bz 218667)

* Fri Dec 08 2006 Neil Horman <nhorman@redhat.com> - 1.101-144%{dist}
- Update to makedumpfile-1.0.7 to fix ELF32/64 issue (bz 218325)
- Update spec file to build makedumpfile for ppc64
- remove strip command from specfile to get debuginfo for makedumpfile

* Tue Dec 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-143%{dist}
- Updated ppc64 sysconfig file to prevent panic on boot (bz 215096)

* Mon Dec 04 2006 Neil Horman <nhorman@redhat.com> - 1.101-142%{dist}
- Fixed bad check in initscript for KEXEC_ARGS (bz 217780)

* Mon Dec 04 2006 Neil Horman <nhorman@redhat.com> - 1.101-141%{dist}
- Fixed firstboot to properly disable service (bz 216430)
- Fixed initscript to properly set elf header size (bz 217780)

* Fri Dec 01 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-140%{dist}
- Don't enable kdump by default, let user turn it on (bz 214550)

* Fri Dec 01 2006 Neil Horman <nhorman@redhat.com> - 1.101-139%{dist}
- Pulled in a few ia64 patches (bz 218105)

* Wed Nov 29 2006 Neil Horman <nhorman@redhat.com> - 1.101-138%{dist}
- Fixing additional lhost determination problem in mkdumprd (bz 216736)

* Wed Nov 29 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-137%{dist}
- Fix up firstboot module spinner limits (bz 217744)
- Added check to make sure net interfaces are up
- Added feature to allow for post link up sleep (bz 216736)

* Tue Nov 28 2006 Neil Horman <nhorman@redhat.com> - 1.101-136%{dist}
- Rev makedumpfile to v1.0.6 with fix for -E (bz 216162)

* Fri Nov 17 2006 Neil Horman <nhorman@redhat.com> - 1.101-135%{dist}
- Rev makedumpfile to 1.0.5 for ppc64 support and ia64 fix (bz 215359)

* Thu Nov 16 2006 Neil Horman <nhorman@redhat.com> - 1.101-134%{dist}
- Fixing elf core type on x86 arches (bz 215202)

* Tue Nov 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-133%{dist}
- Fix malloc problem in ia64 kexec (bz 213899)

* Tue Nov 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-132%{dist}
- Fix mkdumprd to unmount before reboot (bz 215545)
- Fixed exactmap passing for x86_64 (bz 215437)

* Tue Nov 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-131%{dist}
- Fixing initscript return code mishandling for start case (bz 215428)

* Mon Nov 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-130%{dist}
- Fixing initscript to check $? properly

* Mon Nov 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-129%{dist}
- Fixing broken start conditional

* Mon Nov 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-128%{dist}
- Fixing initscript to do status properly (bz 215348)

* Mon Nov 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-127%{dist}
- Fix mkdumprd to determine net driver name in absence of modalias (bz 215060)
- Fix mkdumprd to check exit code of dd on raw target (bz 215061)

* Mon Nov 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-126%{dist}
- fix up kdump.init to indicate non-working status on xen kernels

* Wed Nov 08 2006 Neil Horman <nhorman@redhat.com> - 1.101-124%{dist}
- Clean up kdump.conf to make it more legible (bz 214518)

* Tue Nov 07 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-123%{dist}
- Update documentation to detail setting up raw partition, dedicated
  file system, nfs and ssh dumps (bz 198841)
- Use dedicated key for ssh dumps
- Enable ssh dumps using non-root user on destination system
- Rewrap kdump.conf to under 80 chars per line

* Tue Nov 07 2006 Neil Horman <nhorman@redhat.com> - 1.101-122%{dist}
- Add ppc64 support to makedumpfile (bz 214390)

* Thu Nov 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-121%{dist}
- Fix non-root lv  detection/activation (bz 213688)

* Thu Nov 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-120%{dist}
- supress kexec messages from stderr (bz 212410)
- fix mkdumprd to present proper name when run with --version (bz 213695)

* Thu Nov 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-119%{dist}
- Update mkdumprd to support dmraid devices properly (bz 213686)

* Thu Nov 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-118%{dist}
- Fix silly missing return statement for bz 212744

* Wed Nov 01 2006 Neil Horman <nhorman@redhat.com> - 1.101-117%{dist}
- removing extraneous mkdumprd code (bz 212189)

* Wed Nov 01 2006 Neil Horman <nhorman@redhat.com> - 1.101-116%{dist}
- further cleanups on firstboot_kdump.py (bz 213494)
- modify status function in kdump.init to report no support (bz 212744)

* Tue Oct 31 2006 Neil Horman <nhorman@redhat.com> - 1.101-115%{dist}
- Fixing silly mistake in packaging of makedumpfile for ia64

* Tue Oct 31 2006 Neil Horman <nhorman@redhat.com> - 1.101-114%{dist}
- Adding ia64 to arches that can build/run makedumpfile (bz 212846)

* Tue Oct 31 2006 Neil Horman <nhorman@redhat.com> - 1.101-113%{dist}
- Fixing failed execs to grubby + chkconfig in firstboot (bz 212734)
- Fix startup on xen kernel to properly indicate lack of support (bz 212744)

* Mon Oct 30 2006 Neil Horman <nhorman@redhat.com> - 1.101-112%{dist}
- Fixing start_process call in firstboot_kdump (bz 212734)

* Fri Oct 27 2006 Neil Horman <nhorman@redhat.com> - 1.101-111%{dist}
- Changing requires to have minimum version of busybox

* Fri Oct 27 2006 Neil Horman <nhorman@redhat.com> - 1.101-110%{dist}
- Fixed triggerin script to not error out in the event of an existing symlink

* Fri Oct 27 2006 Neil Horman <nhorman@redhat.com> - 1.101-109%{dist}
- Fixing mkdumprd to include proper libs for ppc64 (bz 212568)

* Thu Oct 26 2006 Neil Horman <nhorman@redhat.com> - 1.101-108%{dist}
- Fixing up default action case to always occur last (bz 212192)

* Wed Oct 25 2006 Neil Horman <nhorman@redhat.com> - 1.101-107%{dist}
- Removing old hack patch for relocatable kernels
- Rediffing other patches to work with previous patch removed

* Tue Oct 24 2006 Neil Horman <nhorman@redhat.com> - 1.101-106%{dist}
- Added firstboot support

* Fri Oct 20 2006 Neil Horman <nhorman@redhat.com> - 1.101-105%{dist}
- Fix mkdump to exit on bad ssh server specification (bz 211678)

* Fri Oct 20 2006 Neil Horman <nhorman@redhat.com> - 1.101-104%{dist}
- Adding syslog message logging to kdump initscript (bz 211650)

* Fri Oct 20 2006 Neil Horman <nhorman@redhat.com> - 1.101-103%{dist}
- Obsoleting netdump/diskdump for appropriate arches (bz 211647)

* Fri Oct 20 2006 Neil Horman <nhorman@redhat.com> - 1.101-102%{dist}
- Rediffing some patches to avoid fuzz
- fix ia64 icache alignment issue (bz 211258)

* Thu Oct 19 2006 Neil Horman <nhorman@redhat.com> - 1.101-101%{dist}
- Fixing documentation in kdump.conf

* Thu Oct 19 2006 Neil Horman <nhorman@redhat.com> - 1.101-100%{dist}
- Update kdump initscript to do FAILED/OK printing to console (bz 211303)
- remove initial rpm install initramfs build clause in initscript (bz 211350)

* Tue Oct 17 2006 Neil Horman <nhorman@redhat.com> - 1.101-99%{dist}
- Moved maxcpus/irqpoll kcommand line params to individual sysconfig files
 
* Tue Oct 17 2006 Neil Horman <nhorman@redhat.com> - 1.101-98%{dist}
- Integrate some kexec relocation fixes (bz 207598)

* Mon Oct 16 2006 Neil Horman <nhorman@redhat.com> - 1.101-97%{dist}
- Fix up initscript to add ability to propagate ssh keys
- Fix up mkdumprd to indicate need to run service kdump propagate on err
- Add proper OK/FAIL output to start/stop routines

* Fri Oct 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-96%{dist}
- Fixing ifdown operation when kdump not loaded (bz 210497)

* Fri Oct 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-95%{dist}
- Change kdump initscript to do run status in sysfs

* Thu Oct 12 2006 Neil Horman <nhorman@redhat.com> - 1.101-94%{dist}
- Fixing EFI bug on ia64 (bz 210472)
- Fixed minor bug in rename_interface script to reset MASTER
- Fixed vlan device renaming in map_interface
- Adjusted interfaces file for ifup sensitivity to static spec

* Thu Oct 12 2006 Neil Horman <nhorman@redhat.com> - 1.101-93%{dist}
- Fixing umount exit bug (bz 210416)

* Wed Oct 11 2006 Neil Horman <nhorman@redhat.com> - 1.101-92%{dist}
- Add ability to specify path in kdump.conf (bz 210056)

* Wed Oct 11 2006 Neil Horman <nhorman@redhat.com> - 1.101-91%{dist}
- fix mkdumprd to include makedumpfile in all cases where required

* Tue Oct 10 2006 Neil Horman <nhorman@redhat.com> - 1.101-90%{dist}
- Enhance kdump - dump target specificaion via LABEL/UUID (bz 210174)

* Tue Oct 10 2006 Neil Horman <nhorman@redhat.com> - 1.101-89%{dist}
- fix mkdumprd exit code check in kdump initscript (bz 210098)

* Tue Oct 10 2006 Neil Horman <nhorman@redhat.com> - 1.101-88%{dist}
- fix kdump.conf to remove non-existant example ifc (bz 209190)

* Mon Oct 09 2006 Neil Horman <nhorman@redhat.com> - 1.101-87%{dist}
- fix map_interface to send error stream from ls to null (bz210035)

* Mon Oct 09 2006 Neil Horman <nhorman@redhat.com> - 1.101-86%{dist}
- fix rename_interface script to do busybox friendly var passing

* Mon Oct 09 2006 Neil Horman <nhorman@redhat.com> - 1.101-85%{dist}
- fix ROOTDEV parsing (bz 209777)

* Fri Oct 06 2006 Neil Horman <nhorman@redhat.com> - 1.101-84%{dist}
- Exclude 32 bit ppc from build (bz 208984)

* Thu Oct 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-83%{dist}
- update mkdumprd to set time right (bz 209358)
- removing now obsolete kcp from source tree

* Thu Oct 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-82%{dist}
- update initscript to write to vmcore-incomplete (bz 209465)

* Thu Oct 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-81%{dist}
- update mkdumprd to detect missing debuginfo pkg (bz 209342)
- update mkdumprd to use new mkdumpfile systam (bz 209342)
- strip makedumpfile to make smaller initramfs
- fix check with makedumpfile to use supported dump targets
- write to vmcore-incomplete and move to vmcore (bz 209465)
- remove ifc cruft from mkdumprd

* Thu Oct 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-80%{dist}
- Update makedumpfile to version 1.0.1 with several fixes/updates
- remove now obsolete kcp utilty from build

* Wed Oct 04 2006 Neil Horman <nhorman@redhat.com> - 1.101-79%{dist}
- Did some script cleanup to reduce initrd footprint size

* Wed Oct 04 2006 Neil Horman <nhorman@redhat.com> - 1.101-78%{dist}
- Removed setquiet from init script (bz 209198)
- Fixed up docs in kdump.conf (bz 209190)
- Corrected block device creation logic (bz 209162)
- Fixed date format (bz 209189)

* Tue Oct 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-77%{dist}
- update mkdumprd to enable vlan support in initrd (bz 206946)

* Tue Oct 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-76%{dist}
- Replace standalone findfs with busybox version to save space

* Mon Oct 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-75%{dist}
- Update mkdumprd to support bonding from initramfs
- Update mkdumprd to support finding root filesystems by uuid/label
 
* Thu Sep 28 2006 Neil Horman <nhorman@redhat.com> - 1.101-74%{dist}
- Update kdump to use correct coding standards for chkconfig

* Thu Sep 28 2006 Neil Horman <nhorman@redhat.com> - 1.101-73%{dist}
- Update mkdumprd to support network interface dependancy (for bond/vlans)

* Tue Sep 26 2006 Neil Horman <nhorman@redhat.com> - 1.101-72%{dist}
- update mkdumprd to properly pull dev name in routed/unrouted setup

* Sat Sep 23 2006 Neil Horman <nhorman@redhat.com> - 1.101-71%{dist}
- fix package requires

* Fri Sep 22 2006 Neil Horman <nhorman@redhat.com> - 1.101-70%{dist}
- rewrite mkdumprd to use busybox

* Mon Sep 18 2006 Neil Horman <nhorman@redhat.com> - 1.101-69%{dist}
- Added docs to describe kexec-kdump configuration

* Fri Sep 15 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-68%{dist}
- Updated ppc64 64k page support patch

* Thu Sep 14 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-67%{dist}
- Add missing part of ia64 kdump support patch

* Thu Sep 14 2006 Neil Horman <nhorman@redhat.com> - 1.101-66%{dist}
- remove args-linux from kdump.init standard args (bz 206355)
- fixup some kdump initscript exit codes (bz 206342)

* Wed Sep 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-65%{dist}
- Update kdump.init to support appending items to kcommand line (bz 206304)

* Wed Sep 13 2006 Neil Horman <nhorman@redhat.com> - 1.101-64%{dist}
- Update mkdumprd to include libnss_[files&compat] for ssh/scp

* Tue Sep 12 2006 Neil Horman <nhorman@redhat.com> - 1.101-63%{dist}
- Update mkdumprd to include an /etc/passwd file
- Update mkdumprd to unmount /mnt before trying to do rootfs mount

* Tue Sep 12 2006 Neil Horman <nhorman@redhat.com> - 1.101-62%{dist}
- Update kdump.init to check kdump.status on startup op
- Update kdump.init to include maxcpus=1 on KDUMP_COMMANDLINE
- Update kdump.init to rebuild initrd if none found 
- Update mkdumprd to universally include /bin/cp

* Mon Sep 11 2006 Neil Horman <nhorman@redhat.com> - 1.101-61%{dist}
- Reverting kdump.init again, as it seems to have not worked last time

* Fri Sep 08 2006 Neil Horman <nhorman@redhat.com> - 1.101-60%{dist}
- Reverting kdump.init to version 1.11 for bz (205814).

* Fri Sep 08 2006 Neil Horman <nhorman@redhat.com> - 1.101-59%{dist}
- Fix /proc/vmcore detection to ignore zero sized files (bz 205784)

* Thu Sep 07 2006 Neil Horman <nhorman@redhat.com> - 1.101-58%{dist}
- Updated spec file to force kdump on during install

* Thu Sep 07 2006 Neil Horman <nhorman@redhat.com> - 1.101-57%{dist}
- updated mkdumprd infrastructure to enable use of makedumpfile

* Tue Sep 05 2006 Neil Horman <nhorman@redhat.com> - 1.101-56%{dist}
- update kexec-tools to support 64k pages on ppc64 arch

* Thu Aug 31 2006 Neil Horman <nhorman@redhat.com> - 1.101-55%{dist}
- update mkdumprd to properly handle scp and nfs dumping
- fix typo in kcp.c
- update docs in kdump.conf to reflect new ifc parameter

* Tue Aug 29 2006 Neil Horman <nhorman@redhat.com> - 1.101-54%{dist}
- integrate default elf format patch

* Tue Aug 29 2006 Neil Horman <nhorman@redhat.com> - 1.101-53%{dist}
- Taking Viveks x86_64 crashdump patch (rcv. via email)

* Tue Aug 29 2006 Neil Horman <nhorman@redhat.com> - 1.101-52%{dist}
- Taking ia64 tools patch for bz 181358

* Mon Aug 28 2006 Neil Horman <nhorman@redhat.com> - 1.101-51%{dist}
- more doc updates
- added patch to fix build break from kernel headers change

* Thu Aug 24 2006 Neil Horman <nhorman@redhat.com> - 1.101-50%{dist}
- repo patch to enable support for relocatable kernels.

* Thu Aug 24 2006 Neil Horman <nhorman@redhat.com> - 1.101-49%{dist}
- rewriting kcp to properly do ssh and scp
- updating mkdumprd to use new kcp syntax

* Wed Aug 23 2006 Neil Horman <nhorman@redhat.com> - 1.101-48%{dist}
- Bumping revision number 

* Tue Aug 22 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-47%{dist}
- ppc64 no-more-platform fix

* Mon Aug 21 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-46%{dist}
- ppc64 fixups:
  - actually build ppc64 binaries (bug 203407)
  - correct usage output
  - avoid segfault in command-line parsing
- install kexec man page
- use regulation Fedora BuildRoot

* Fri Aug 18 2006 Neil Horman <nhorman@redhat.com> - 1.101-45%{dist}
- fixed typo in mkdumprd for bz 202983
- fixed typo in mkdumprd for bz 203053
- clarified docs in kdump.conf with examples per bz 203015

* Tue Aug 15 2006 Neil Horman <nhorman@redhat.com> - 1.101-44%{dist}
- updated init script to implement status function/scrub err messages
 
* Wed Aug 09 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-43%{dist}
- Misc spec cleanups and macro-ifications

* Wed Aug 09 2006 Jarod Wilson <jwilson@redhat.com> - 1.101-42%{dist}
- Add %dir /var/crash, so default kdump setup works

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-41%{dist}.1
- fix another silly makefile error for makedumpfile 

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-40%{dist}.1
- exclude makedumpfile from build on non-x86[_64] arches 

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-39%{dist}.1
- exclude makedumpfile from build on non-x86[_64] arches 

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-38%{dist}.1
- updating makedumpfile makefile to use pkg-config on glib-2.0

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-37%{dist}.1
- updating makedumpfile makefile to use pkg-config

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-36%{dist}.1
- Removing unneeded deps after Makefile fixup for makedumpfile

* Thu Aug 03 2006 Neil Horman <nhorman@redhat.com> - 1.101-35%{dist}.1
- fixing up FC6/RHEL5 BuildRequires line to build in brew

* Wed Aug 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-34%{dist}.1
- enabling makedumpfile in build

* Wed Aug 02 2006 Neil Horman <nhorman@redhat.com> - 1.101-33%{dist}.1
- added makedumpfile source to package

* Mon Jul 31 2006 Neil Horman <nhorman@redhat.com> - 1.101-32%{dist}.1
- added et-dyn patch to allow loading of relocatable kernels

* Thu Jul 27 2006 Neil Horman <nhorman@redhat.com> - 1.101-30%{dist}.1
- fixing up missing patch to kdump.init

* Wed Jul 19 2006 Neil Horman <nhorman@redhat.com> - 1.101-30%{dist}.1
- add kexec frontend (bz 197695)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.101-29%{dist}.1
- rebuild

* Wed Jul 07 2006 Neil Horman <nhorman@redhat.com> 1.101-27.fc6
- Buildrequire zlib-devel

* Thu Jun 22 2006 Neil Horman <nhorman@redhat.com> -1.101-19
- Bumping rev number

* Thu Jun 22 2006 Neil Horman <nhorman@redhat.com> -1.101-17
- Add patch to allow ppc64 to ignore args-linux option

* Wed Mar 08 2006 Bill Nottingham <notting@redhat.com> - 1.101-16
- fix scriptlet - call chkconfig --add, change the default in the
  script itself (#183633)

* Wed Mar 08 2006 Thomas Graf <tgraf@redhat.com> - 1.101-15
- Don't add kdump service by default, let the user manually add it to
  avoid everyone seeing a warning.

* Tue Mar 07 2006 Thomas Graf <tgraf@redhat.com> - 1.101-14
- Fix kdump.init to call kexec from its new location

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 1.101-13
- proper requires for scriptlets

* Mon Mar 06 2006 Thomas Graf <tgraf@redhat.com> - 1.101-12
- Move kexec and kdump binaries to /sbin

* Thu Mar 02 2006 Thomas Graf <tgraf@redhat.com> - 1.101-11
- Fix argument order when stopping kexec

* Mon Feb 27 2006 Thomas Graf <tgraf@redhat.com> - 1.101-10
- kdump7.patch
   o Remove elf32 core headers support for x86_64
   o Fix x86 prepare elf core header routine
   o Fix ppc64 kexec -p failure for gcc 4.10
   o Fix few warnings for gcc 4.10
   o Add the missing --initrd option for ppc64
   o Fix ppc64 persistent root device bug
- Remove --elf32-core-headers from default configuration, users
  may re-add it via KEXEC_ARGS.
- Remove obsolete KEXEC_HEADERS
* Wed Feb 22 2006 Thomas Graf <tgraf@redhat.com> - 1.101-9
- Remove wrong quotes around --command-line in kdump.init

* Fri Feb 17 2006 Jeff Moyer <jmoyer@redhat.com> - 1.101-8
- Fix the service stop case.  It was previously unloading the wrong kernel.
- Implement the "restart" function.
- Add the "irqpoll" option as a default kdump kernel commandline parameter.
- Create a default kernel command line in the sysconfig file upon rpm install.

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.101-7.1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Thu Feb 02 2006 Thomas Graf <tgraf@redhat.com> - 1.101-7.1
- Add patch to enable the kdump binary for x86_64
* Wed Feb 01 2006 Thomas Graf <tgraf@redhat.com>
- New kdump patch to support s390 arch + various fixes
- Include kdump in x86_64 builds
* Mon Jan 30 2006 Thomas Graf <tgraf@redhat.com>
- New kdump patch to support x86_64 userspace

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Wed Nov 16 2005 Thomas Graf <tgraf@redhat.com> - 1.101-5
- Report missing kdump kernel image as warning
 
* Thu Nov  3 2005 Jeff Moyer <jmoyer@redhat.com> - 1.101-4
- Build for x86_64 as well.  Kdump support doesn't work there, but users
  should be able to use kexec.

* Fri Sep 23 2005 Jeff Moyer <jmoyer@redhat.com> - 1.101-3
- Add a kdump sysconfig file and init script
- Spec file additions for pre/post install/uninstall

* Thu Aug 25 2005 Jeff Moyer <jmoyer@redhat.com>
- Initial prototype for RH/FC5
